Bug 1940937 - Review Request: rpi-imager - Graphical user-interface to write disk images and format SD cards
Summary: Review Request: rpi-imager - Graphical user-interface to write disk images an...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-19 15:14 UTC by Kees de Jong
Modified: 2021-04-24 20:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-03 01:27:56 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Kees de Jong 2021-03-19 15:14:33 UTC
Spec URL: https://fedorapeople.org/cgit/keesdejong/public_git/rpmbuild.git/plain/SPECS/rpi-imager.spec
SRPM URL: https://fedorapeople.org/cgit/keesdejong/public_git/rpmbuild.git/plain/SRPMS/rpi-imager-1.6-1.fc33.src.rpm
Description: Graphical user-interface to write disk images and format SD cards
Fedora Account System Username: keesdejong

---

Below is my own package-review.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License,
     Version 3 Apache License 2.0", "Apache License 2.0", "curl License",
     "*No copyright* [generated file]", "*No copyright* Apache License
     2.0", "*No copyright* GNU General Public License", "GNU General Public
     License", "[generated file]", "FSF Unlimited License (with Retention)
     GNU General Public License, Version 2 [generated file]", "FSF
     Unlimited License [generated file]", "zlib/libpng license", "ISC
     License", "BSD 3-clause "New" or "Revised" License", "Public domain",
     "BSD 2-clause "Simplified" License", "*No copyright* Public domain",
     "BSD 3-clause "New" or "Revised" License BSD 2-clause "Simplified"
     License", "BSD 2-clause "Simplified" License [generated file]", "GNU
     General Public License v3.0 or later", "FSF All Permissive License",
     "GNU General Public License v2.0 or later [generated file]", "FSF
     Unlimited License (with Retention)", "Expat License [generated file]",
     "GNU General Public License v2.0 or later", "BSD 4-clause "Original"
     or "Old" License", "*No copyright* Boost Software License 1.0", "Boost
     Software License 1.0", "NTP License", "*No copyright* zlib/libpng
     license". 1465 files have unknown license. Detailed output of
     licensecheck in /var/lib/mock/fedora-33-x86_64/result/review-rpi-
     imager/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/128x128,
     /usr/share/icons/hicolor/128x128/apps
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rpi-imager-1.6-1.fc35.x86_64.rpm
          rpi-imager-debuginfo-1.6-1.fc35.x86_64.rpm
          rpi-imager-debugsource-1.6-1.fc35.x86_64.rpm
          rpi-imager-1.6-1.fc35.src.rpm
rpi-imager.x86_64: W: no-manual-page-for-binary rpi-imager
rpi-imager.src: W: strange-permission rpi-imager-1.6.tar.gz 640
rpi-imager.src: W: strange-permission rpi-imager.spec 640
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: rpi-imager-debuginfo-1.6-1.fc35.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
rpi-imager.x86_64: W: no-manual-page-for-binary rpi-imager
3 packages and 0 specfiles checked; 0 errors, 1 warnings.



Source checksums
----------------
https://github.com/raspberrypi/rpi-imager/archive/v1.6/rpi-imager.tar.gz#/rpi-imager-1.6.tar.gz :
  CHECKSUM(SHA256) this package     : 811f9c261f82f75eefb9129570c47ff6653c1e9af08d9ed0b877261b4d184685
  CHECKSUM(SHA256) upstream package : 811f9c261f82f75eefb9129570c47ff6653c1e9af08d9ed0b877261b4d184685


Requires
--------
rpi-imager (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.15)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libarchive.so.13()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.1.1()(64bit)
    libcrypto.so.1.1(OPENSSL_1_1_0)(64bit)
    libcurl.so.4()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)
    udisks2

rpi-imager-debuginfo (rpmlib, GLIBC filtered):

rpi-imager-debugsource (rpmlib, GLIBC filtered):



Provides
--------
rpi-imager:
    application()
    application(rpi-imager.desktop)
    metainfo()
    metainfo(rpi-imager.metainfo.xml)
    rpi-imager
    rpi-imager(x86-64)

rpi-imager-debuginfo:
    debuginfo(build-id)
    rpi-imager-debuginfo
    rpi-imager-debuginfo(x86-64)

rpi-imager-debugsource:
    rpi-imager-debugsource
    rpi-imager-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -n rpi-imager
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Shell-api, Generic
Disabled plugins: Python, Java, PHP, Ocaml, fonts, Perl, SugarActivity, Haskell, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 1 Robert-André Mauchin 🐧 2021-03-20 17:02:30 UTC
 - Nope:

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/128x128,
     /usr/share/icons/hicolor/128x128/apps

Add Requires:       hicolor-icon-theme to own the icon dirs.

 - You need to validate the desktop file as stated:

- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.

See https://docs.fedoraproject.org/en-US/packaging-guidelines/#_desktop_file_install_usage

BuildRequires:  desktop-file-utils

[…]

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


 - You also need to validate the appdata file, see https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_app_data_validate_usage

BuildRequires:  libappstream-glib

[…]

appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.metainfo.xml




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License,
     Version 3 Apache License 2.0", "Apache License 2.0", "curl License",
     "*No copyright* [generated file]", "*No copyright* Apache License
     2.0", "*No copyright* GNU General Public License", "GNU General Public
     License", "[generated file]", "FSF Unlimited License (with Retention)
     GNU General Public License, Version 2 [generated file]", "FSF
     Unlimited License [generated file]", "zlib/libpng license", "ISC
     License", "BSD 3-clause "New" or "Revised" License", "Public domain",
     "BSD 2-clause "Simplified" License", "*No copyright* Public domain",
     "BSD 3-clause "New" or "Revised" License BSD 2-clause "Simplified"
     License", "BSD 2-clause "Simplified" License [generated file]", "GNU
     General Public License v3.0 or later", "FSF All Permissive License",
     "GNU General Public License v2.0 or later [generated file]", "FSF
     Unlimited License (with Retention)", "Expat License [generated file]",
     "GNU General Public License v2.0 or later", "BSD 4-clause "Original"
     or "Old" License", "*No copyright* Boost Software License 1.0", "Boost
     Software License 1.0", "NTP License", "*No copyright* zlib/libpng
     license". 1465 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/rpi-imager/review-rpi-
     imager/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/128x128,
     /usr/share/icons/hicolor/128x128/apps
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rpi-imager-1.6-1.fc35.x86_64.rpm
          rpi-imager-debuginfo-1.6-1.fc35.x86_64.rpm
          rpi-imager-debugsource-1.6-1.fc35.x86_64.rpm
          rpi-imager-1.6-1.fc35.src.rpm
rpi-imager.x86_64: W: no-manual-page-for-binary rpi-imager
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 2 Kees de Jong 2021-03-22 17:23:33 UTC
Thanks Robert, strange that I missed those obvious review remarks. Anyway, I think I fixed all the issues now.


---


Spec URL: https://fedorapeople.org/cgit/keesdejong/public_git/rpmbuild.git/plain/SPECS/rpi-imager.spec
SRPM URL: https://fedorapeople.org/cgit/keesdejong/public_git/rpmbuild.git/plain/SRPMS/rpi-imager-1.6-1.fc33.src.rpm
Description: Graphical user-interface to write disk images and format SD cards
Fedora Account System Username: keesdejong



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License,
     Version 3 Apache License 2.0", "Apache License 2.0", "curl License",
     "*No copyright* [generated file]", "*No copyright* Apache License
     2.0", "*No copyright* GNU General Public License", "GNU General Public
     License", "[generated file]", "FSF Unlimited License (with Retention)
     GNU General Public License, Version 2 [generated file]", "FSF
     Unlimited License [generated file]", "zlib/libpng license", "ISC
     License", "BSD 3-clause "New" or "Revised" License", "Public domain",
     "BSD 2-clause "Simplified" License", "*No copyright* Public domain",
     "BSD 3-clause "New" or "Revised" License BSD 2-clause "Simplified"
     License", "BSD 2-clause "Simplified" License [generated file]", "GNU
     General Public License v3.0 or later", "FSF All Permissive License",
     "GNU General Public License v2.0 or later [generated file]", "FSF
     Unlimited License (with Retention)", "Expat License [generated file]",
     "GNU General Public License v2.0 or later", "BSD 4-clause "Original"
     or "Old" License", "*No copyright* Boost Software License 1.0", "Boost
     Software License 1.0", "NTP License", "*No copyright* zlib/libpng
     license". 1465 files have unknown license. Detailed output of
     licensecheck in /tmp/1940937-rpi-imager/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rpi-imager-1.6-1.fc35.x86_64.rpm
          rpi-imager-debuginfo-1.6-1.fc35.x86_64.rpm
          rpi-imager-debugsource-1.6-1.fc35.x86_64.rpm
          rpi-imager-1.6-1.fc35.src.rpm
rpi-imager.x86_64: W: no-manual-page-for-binary rpi-imager
rpi-imager.src: W: strange-permission rpi-imager-1.6.tar.gz 640
rpi-imager.src: W: strange-permission rpi-imager.spec 640
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: rpi-imager-debuginfo-1.6-1.fc35.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
rpi-imager.x86_64: W: no-manual-page-for-binary rpi-imager
3 packages and 0 specfiles checked; 0 errors, 1 warnings.



Source checksums
----------------
https://github.com/raspberrypi/rpi-imager/archive/v1.6/rpi-imager.tar.gz#/rpi-imager-1.6.tar.gz :
  CHECKSUM(SHA256) this package     : 811f9c261f82f75eefb9129570c47ff6653c1e9af08d9ed0b877261b4d184685
  CHECKSUM(SHA256) upstream package : 811f9c261f82f75eefb9129570c47ff6653c1e9af08d9ed0b877261b4d184685


Requires
--------
rpi-imager (rpmlib, GLIBC filtered):
    hicolor-icon-theme
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.15)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libarchive.so.13()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.1.1()(64bit)
    libcrypto.so.1.1(OPENSSL_1_1_0)(64bit)
    libcurl.so.4()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)
    udisks2

rpi-imager-debuginfo (rpmlib, GLIBC filtered):

rpi-imager-debugsource (rpmlib, GLIBC filtered):



Provides
--------
rpi-imager:
    application()
    application(rpi-imager.desktop)
    metainfo()
    metainfo(rpi-imager.metainfo.xml)
    rpi-imager
    rpi-imager(x86-64)

rpi-imager-debuginfo:
    debuginfo(build-id)
    rpi-imager-debuginfo
    rpi-imager-debuginfo(x86-64)

rpi-imager-debugsource:
    rpi-imager-debugsource
    rpi-imager-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1940937
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, C/C++, Generic
Disabled plugins: Haskell, R, Ocaml, Java, Python, PHP, SugarActivity, Perl, fonts
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Kees de Jong 2021-03-23 08:26:20 UTC
Just to highlight one certain change, I want the app launcher in the Utilities category in GNOME Shell.

I did this by doing:
desktop-file-install \
    --add-category="X-GNOME-Utilities" \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

I suppose this is sufficient. I see no need to delete the original, since I only want to append this category. I tested this and the launcher now does appear in that category in GNOME.
Furthermore, as the docs state, it's either using desktop-file-install or desktop-file-validate. So this should be sufficient to validate the desktop file.

Comment 4 Kees de Jong 2021-03-24 07:36:09 UTC
Another change, added a patch: https://github.com/raspberrypi/rpi-imager/commit/2d87a2275f9a2525f000d0f216468b9cced97e98.patch
This because of: https://github.com/raspberrypi/rpi-imager/issues/172#issuecomment-804857137

This indeed fixes the issue of selecting custom images. I think this concludes all changes I wanted to apply.

Comment 5 Robert-André Mauchin 🐧 2021-03-28 16:33:58 UTC
 - Pleas add the link to the bug above the patch

Package approved.

Comment 7 Gwyn Ciesla 2021-03-29 13:35:18 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rpi-imager

Comment 8 Fedora Update System 2021-03-29 14:36:55 UTC
FEDORA-2021-e6ec396d70 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e6ec396d70

Comment 9 Fedora Update System 2021-03-29 15:19:25 UTC
FEDORA-2021-0408c8753e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0408c8753e

Comment 10 Fedora Update System 2021-03-30 14:38:25 UTC
FEDORA-2021-0408c8753e has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-0408c8753e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0408c8753e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-03-30 15:21:15 UTC
FEDORA-2021-e6ec396d70 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-e6ec396d70 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e6ec396d70

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-04-03 01:27:56 UTC
FEDORA-2021-0408c8753e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-04-07 15:39:32 UTC
FEDORA-2021-e6ec396d70 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-04-08 07:50:58 UTC
FEDORA-2021-5926f0a056 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5926f0a056

Comment 15 Fedora Update System 2021-04-08 07:51:45 UTC
FEDORA-2021-fc63def3f8 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fc63def3f8

Comment 16 Fedora Update System 2021-04-08 19:06:00 UTC
FEDORA-2021-fc63def3f8 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-fc63def3f8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fc63def3f8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-04-08 20:58:52 UTC
FEDORA-2021-5926f0a056 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5926f0a056`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5926f0a056

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2021-04-16 14:34:45 UTC
FEDORA-2021-5926f0a056 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2021-04-24 19:47:01 UTC
FEDORA-2021-fc63def3f8 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2021-04-24 20:07:12 UTC
FEDORA-2021-fc63def3f8 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.